-- See for data provided by TTN https://www.thethingsnetwork.org/docs/applications/mqtt/api.html
CREATE TABLE readings IF NOT EXISTS (
	id INTEGER PRIMARY KEY, -- Random unique integer
	lat FLOAT NOT NULL, -- Latitude component of GPS co-ordinates of reading
	long FLOAT NOT NULL, -- Longitude component of GPS co-ordinates of reading,
	data_rate_id INTEGER, -- The id of the data rate code in the data_rates table that describes the data rate at which the message was transmitted
	code_rate TEXT, -- The coding rate at which the message was transmitted. FUTURE: This may need to be an INTEGER field - not sure
	bit_rate INTEGER, -- The bit rate at which the message was transmitted
);
CREATE TABLE rssis IF NOT EXISTS (
	id INTEGER PRIMARY KEY, -- Random unique int
	reading_id INTEGER, -- The id of the object in the readings table that this rssi measurement belongs to
	gateway_id INTEGER, -- Gateway id that the RSSI was from
	rssi FLOAT, -- The RSSI value itself
	snr FLOAT, -- The signal-to-noise ratio
	channel INTEGER -- The channel that the RSSI was received over. We might be able to use this to detect single-channel gateways
);
CREATE TABLE gateways IF NOT EXISTS (
	id TEXT PRIMARY KEY, -- The gateway's name
	lat FLOAT, -- Latitude component of the claimed GPS co-ordinates of the gateway
	long FLOAT -- Longitude component of the claimed GPS co-ordinates of the gateway
	altitude FLOAT -- Claimed alitude of the gateway
);
CREATE TABLE data_rates IF NOT EXISTS (
	id INTEGER PRIMARY KEY, -- Random unique integer,
	codename TEXT NOT NULL,
);


-- UPDATE 1 --

--------------

-- UPDATE 2 --

--------------

-- ....
